var map;
var position = { lat: 45.39792453901515, lng: 20.132743084374987 };
var markers = [];
var legati = [
  {
    name: "ZAOVSTAVŠTINA OLJE IVANJICKI",
    address: "Kosančićev venac 19, Beograd",
    link:
      "http://www.kucastil.rs/lifestyle/zaostavstina-olje-ivanjicki-kulturno-blago-u-nemilosti-sudskih-sporova",
    location: { lat: 44.816484, lng: 20.451269 }
  },
  {
    name: "LEGAT PETRA LUBARDE",
    address: "Iličićeva 1, Beograd (Dedinje)",
    link:
      "http://www.kucastil.rs/kuce/legat-petra-lubarde-dokaz-da-u-kulturi-moze-i-mora-bolje",
    location: { lat: 44.78888, lng: 20.448891 }
  },
  {
    name: "Galerija Milana Konjovića",
    address: "Trg Sv. Trojstva 2, Sombor",
    link:
      "http://www.kucastil.rs/lifestyle/uspavani-duh-srpskog-zaduzbinarstva",
    location: { lat: 45.772191, lng: 19.113743 }
  },
  {
    name: "Legat Josipa Slavenskog",
    address: "Trg Nikole Pašića 1/V, Beograd",
    link:
      "http://www.kucastil.rs/lifestyle/uspavani-duh-srpskog-zaduzbinarstva",
    location: { lat: 44.812595, lng: 20.461874 }
  },
  {
    name: "LEGAT VELJKA PETROVIĆA",
    address: "Adresa Ulica Teodora Drajzera 32, Dedinje",
    link:
      "http://www.kucastil.rs/kuce/legat-veljka-petrovica-olicenje-tretmana-koji-kultura-ima-u-srbiji",
    location: { lat: 44.779607, lng: 20.453909 }
  },
  {
    name: "MUZEJ PAJE JOVANOVIĆA",
    address: "Kralja Milana 21/IV",
    link: "http://www.kucastil.rs/lifestyle/legati-su-turisticka-sansa-srbije",
    location: { lat: 44.807424, lng: 20.464179 }
  },
  {
    name: "MUZEJ GRADA BEOGRADA",
    address: "Zmaj Jovina 1, Beograd",
    link: "http://www.kucastil.rs/lifestyle/legati-su-turisticka-sansa-srbije",
    location: { lat: 44.804207, lng: 20.461209 }
  },
  {
    name: "LEGAT IVE ANDRIĆA",
    address: "Andrićev venac 8, Beograd",
    link: "http://www.kucastil.rs/lifestyle/legati-su-turisticka-sansa-srbije",
    location: { lat: 44.809603, lng: 20.463339 }
  },
  {
    name: "LEGAT JOVANA CVIJIĆA",
    address: "Jelene Ćetković 5, Beograd",
    link: "http://www.kucastil.rs/lifestyle/legati-su-turisticka-sansa-srbije",
    location: { lat: 44.815709, lng: 20.46866 }
  },
  {
    name: "Spomen soba Isidore Sekulić",
    address:
      "Bulevar kralja Aleksandra 71, Univerzitetska biblioteka \"Svetozar Marković\"",
    link:
      "http://www.kucastil.rs/lifestyle/biblioteke-legati-kao-cuvari-kulturnog-nasledja",
    location: { lat: 44.806158, lng: 20.474854 }
  },
  {
    name: "Biblioteka Lazić",
    address: "Josipa Slavenskog 19a, Banjica, Beograd",
    link:
      "http://www.kucastil.rs/lifestyle/biblioteke-legati-kao-cuvari-kulturnog-nasledja",
    location: { lat: 44.754746, lng: 20.47347 }
  },
  {
    name: "ZGRADA U KOJOJ JE ŽIVELA LJUBICA MARIĆ",
    address: "Džordža Vašingtona 36, Beograd",
    link:
      "http://www.kucastil.rs/lifestyle/nedosanjani-legat-prve-srpske-kompozitorke-ljubice-maric",
    location: { lat: 44.815659, lng: 20.470194 }
  },
  {
    name: "LEGAT SAVE ŠUMANOVIĆA U ŠIDU",
    address: "Save Šumanovića 10, Šid",
    link:
      "http://www.kucastil.rs/kuce/legat-save-sumanovica-u-sidu-od-savinog-amaneta-do-majcinog-testamenta",
    location: { lat: 45.127208, lng: 19.228284 }
  },
  {
    name: "LEGAT BRANKA LALA STANKOVIĆA",
    address: "Šabac",
    link:
      "http://www.kucastil.rs/kuce/legat-branka-lala-stankovica-slikarski-biser-sapca",
    location: { lat: 44.754011, lng: 19.695878 }
  },
  {
    name: "ZADUŽBINA LUKE ČELOVIĆA TREBINJCA",
    address: "Karađorđeva 65, Beograd",
    link:
      "http://www.kucastil.rs/lifestyle/luka-celovic-trebinjac-zaduzbinar-bez-zaduzbine",
    location: { lat: 44.812555, lng: 20.45338 }
  }
];

function initMap() {
  map = new google.maps.Map(document.getElementById("map"), {
    center: position,
    zoom: 8
  });
  google.maps.InfoWindow.prototype.isOpen = function() {
    var map = this.getMap();
    // eslint-disable-next-line prettier/prettier
    return (map !== null && typeof map !== "undefined");
  };
  legati.forEach(legat => {
    var contentString =
      `<div class='mapInfoWindow'><a href='${legat.link}'>${
        legat.name
      }</a><br/>` +
      legat.address +
      "</div>";
    var infowindow = new google.maps.InfoWindow({
      content: contentString,
      maxWidth: 130,
      disableAutoPan: true
    });

    var icon = {
      url: "marker3.png", // url
      scaledSize: new google.maps.Size(40, 40), // scaled size
      origin: new google.maps.Point(0, 0), // origin
      anchor: new google.maps.Point(0, 0) // anchor
    };

    var marker = new google.maps.Marker({
      position: legat.location,
      map: map,
      icon: icon
    });
    markers.push(marker);

    var hideShowInfo = () => {
      if (map.getZoom() >= 16) {
        infowindow.open(map, marker);
      } else {
        infowindow.close();
      }
    };
    google.maps.event.addListener(map, "zoom_changed", function() {
      hideShowInfo();
    });

    marker.addListener("click", function() {
      map.setCenter(marker.position);
      map.getZoom() < 16 && map.setZoom(16);
      infowindow.open(map, marker);
    });

    hideShowInfo();
    console.log(marker);
  });
  var markerCluster = new MarkerClusterer(map, markers, {
    imagePath:
      "https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m"
  });
}
